org.jboss.jca.core.spi.rar

## Interface ResourceAdapterRepository

-     public interface ResourceAdapterRepository

  The SPI for the resource adapter repository
  Author:
    Jesper Pedersen

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Endpoint` | `getEndpoint(java.lang.String uniqueId)` Get an endpoint representation for a resource adapter
    `java.util.List<MessageListener>` | `getMessageListeners(java.lang.String uniqueId)` Get a list of message listeners supported for a resource adapter
    `javax.resource.spi.ResourceAdapter` | `getResourceAdapter(java.lang.String uniqueId)` Get the resource adapter instance based on the unique id
    `java.util.Set<java.lang.String>` | `getResourceAdapters()` Get the resource adapters unique ids registered
    `java.util.Set<java.lang.String>` | `getResourceAdapters(java.lang.Class<?> messageListenerType)` Get the resource adapters unique ids registered which has the specified message listener type
    `java.lang.String` | `registerResourceAdapter(javax.resource.spi.ResourceAdapter ra)` Register a resource adapter
    `void` | `setRecoveryForResourceAdapter(java.lang.String uniqueId, boolean isXA)` Set the recovery mode for a resource adapter
    `void` | `unregisterResourceAdapter(java.lang.String key)` Unregister a resource adapter

- - ### Method Detail

    - #### registerResourceAdapter

          java.lang.String registerResourceAdapter(javax.resource.spi.ResourceAdapter ra)

      Register a resource adapter
      Parameters:
        `ra` - The resource adapter instance
      Returns:
        The unique id for the resource adapter

    - #### unregisterResourceAdapter

          void unregisterResourceAdapter(java.lang.String key)
                                  throws NotFoundException

      Unregister a resource adapter
      Parameters:
        `key` - The key for the resource adapter instance
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### getResourceAdapter

          javax.resource.spi.ResourceAdapter getResourceAdapter(java.lang.String uniqueId)
                                                         throws NotFoundException

      Get the resource adapter instance based on the unique id
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The resource adapter
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### getResourceAdapters

          java.util.Set<java.lang.String> getResourceAdapters()

      Get the resource adapters unique ids registered
      Returns:
        The unique ids

    - #### getResourceAdapters

          java.util.Set<java.lang.String> getResourceAdapters(java.lang.Class<?> messageListenerType)

      Get the resource adapters unique ids registered which has the specified message listener type
      Parameters:
        `messageListenerType` - The message listener type
      Returns:
        The unique ids

    - #### getEndpoint

          Endpoint getEndpoint(java.lang.String uniqueId)
                        throws NotFoundException

      Get an endpoint representation for a resource adapter
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The endpoint
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

    - #### getMessageListeners

          java.util.List<MessageListener> getMessageListeners(java.lang.String uniqueId)
                                                       throws NotFoundException,
                                                              java.lang.InstantiationException,
                                                              java.lang.IllegalAccessException

      Get a list of message listeners supported for a resource adapter
      Parameters:
        `uniqueId` - An unique id that represents the deployment
      Returns:
        The list of message listeners
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered
        `java.lang.InstantiationException` - Thrown if an object couldn't created
        `java.lang.IllegalAccessException` - Thrown if object access is inaccessible

    - #### setRecoveryForResourceAdapter

          void setRecoveryForResourceAdapter(java.lang.String uniqueId,
                                             boolean isXA)
                                      throws NotFoundException

      Set the recovery mode for a resource adapter
      Parameters:
        `uniqueId` - An unique id that represents the deployment
        `isXA` - Is the resource adapter instance XA capable
      Throws:
        `NotFoundException` - Thrown if the unique id isn't registered

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)